#include <QApplication>
#include <QMessageBox>
#include <QLockFile>
#include <QDir>

#include "models/lotro.h"

#include <QTextCodec>
#include <QThread>
#include <QObject>

int main(int argc, char *argv[])
{
    setlocale(LC_ALL,"Russian");

    QApplication a(argc, argv);
    QLockFile lockFile(QDir::temp().absoluteFilePath("rulotro.lock"));
    if(!lockFile.tryLock(1)){
        QMessageBox msgBox;
        msgBox.setIcon(QMessageBox::Warning);
        msgBox.setText("Приложение уже запущено.\nРазрешено запускать только один экземпляр приложения.");
        msgBox.exec();
        return 1;
    }

    QSettings *settings = new QSettings(qApp->applicationDirPath() + "/legacy_v2.ini", QSettings::IniFormat);
    QThread *lotro_mgr_thread = new QThread();
    Lotro *lotro_mgr = new Lotro(settings);
    QObject::connect(lotro_mgr_thread, &QThread::finished, lotro_mgr, &QObject::deleteLater);
    return a.exec();
}
